/******************************************************************************/
/* AEL Sarl : Web hosting, datacenter, gestion et comptabilit dportes      */
/* Copyright (C) 2008 Affaires En Ligne S.A.R.L.                              */
/* Contact : contact@affaires-en-ligne.fr                                     */
/* Web : http://www.spidboutic.fr                                             */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

jsLoader.loadSubScript("chrome://opensi/content/crm/libs/assistant_observateur.js");

// liste des observateurs
var go_gest_obs;

// un prospect
var go_prospect;

// mode de la fiche
// les modes peuvent tre
// - modifi : M
// - nouveau : N
// - suivant : S
var mode_prospect = 'N';

// identifiant de prospect slectionn
var identifiant_prospect = null;

/**
 * Initialisation de la fentre
 * 
 * @param {string} id_prospect identifiant du prospect
 */
function init_phoning(id_prospect) {
    try {
        // instance de gestionnaire d'observateurs
        go_gest_obs = new GestionnaireObservateur();
        
        // assistant
        init_assistant(id_prospect); // va fixer l'identifiant_prospect
        //if (mode_prospect == "M") {
        //    init_historique_communications();
    } catch (e) {
    	recup_erreur('erreur dans crm/user/phoning/overlay_phoning.js#init : '+ e);
    }
}

/**
 * Rafraichissement de l'ihm, mise  jour de zones particulires
 */
function rafraichir() {
    try {
    	document.getElementById("chkEtat").checked = (go_prospect.Etat == 1 ? true : false);
    } catch (e) {
    	recup_erreur('erreur dans crm/user/phoning/overlay_phoning.js#rafraichir : '+ e);
    }
}

/**
 * Mettre la fiche  blanc pour un nouveau prospect
 */
function nouveauProspectAssistant() {
    try {
        mode_prospect = "N";
        identifiant_prospect = "";
        
        resetAssistant();
        resetHistorique();
    } catch (e) {
        recup_erreur('erreur dans crm/user/phoning/overlay_phoning.js#nouveauProspect : '+ e);
    } 
}

